summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHanno <hanno@gentoo.org>2019-09-16 21:10:17 +0200
committerHanno <hanno@gentoo.org>2019-09-16 21:10:17 +0200
commit32d2be7dd8412f828a64a2949c49a1c999086d39 (patch)
tree5d003f7cff1a06d5631cf0494e77fbd375530ff0
parentdev-erlang/stun: Version bump. (diff)
downloadgentoo-32d2be7dd8412f828a64a2949c49a1c999086d39.tar.gz
gentoo-32d2be7dd8412f828a64a2949c49a1c999086d39.tar.bz2
gentoo-32d2be7dd8412f828a64a2949c49a1c999086d39.zip
dev-erlang/esip: Version bump.
Ebuild from Vampik's overlay. Signed-off-by: Hanno Boeck <hanno@gentoo.org> Package-Manager: Portage-2.3.76, Repoman-2.3.17
-rw-r--r--dev-erlang/esip/Manifest1
-rw-r--r--dev-erlang/esip/esip-1.0.30.ebuild31
2 files changed, 32 insertions, 0 deletions
diff --git a/dev-erlang/esip/Manifest b/dev-erlang/esip/Manifest
index fab0124996f..fb899fb60fb 100644
--- a/dev-erlang/esip/Manifest
+++ b/dev-erlang/esip/Manifest
@@ -1,2 +1,3 @@
DIST esip-1.0.11.tar.gz 84816 BLAKE2B 8cf1f872496097965d40e6bb1e776318056735e12cf48e746a88861602c32edccdab902fb989305e804054a220aad26ae3931cc22d9d1b2282d6aeac0795df64 SHA512 b62f99b9a9e160e2303a28dab3133c15ce25eae067e3dc16d64c9d60640fd7d5b1b7f69742fc2b94bd6993402ef618454e771ef76dea1ccf24c9ee708f59771f
DIST esip-1.0.26.tar.gz 85846 BLAKE2B 03d3ba5d9706794eaec99cfd074c8fda548fc0911ae8cdb11cb991c910955c47a69280b5cabb384cfbc48a580cc862ac54e3c795e641e417019313ebecb9795f SHA512 4bdbd94c1e6cd029603bbc4b5166f2793293ac0041c79a4c3672387f5217a998ab950cba0a6cbef70c2c5eca393b3f3a4917ec87ab4e5edc08b85cb46e7c667f
+DIST esip-1.0.30.tar.gz 89481 BLAKE2B e742b3800b2b729ea334e95dbeefae220c265f343eef095f25501fe000c7fbab3add33771a4a1fcb52a67dbfed8446580aed2d9e09c7de298ec8cd443312d709 SHA512 b8f727adfc3adf1dae175037783290d0bb951343dbe13245dfcd7ee90d408e90d7404f3625a3c300f24c246fc9dde6cdf736089b35f3091e5c549e6db8fd61ac
diff --git a/dev-erlang/esip/esip-1.0.30.ebuild b/dev-erlang/esip/esip-1.0.30.ebuild
new file mode 100644
index 00000000000..60f5a1713cd
--- /dev/null
+++ b/dev-erlang/esip/esip-1.0.30.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit rebar
+
+DESCRIPTION="ProcessOne SIP server component"
+HOMEPAGE="https://github.com/processone/esip"
+SRC_URI="https://github.com/processone/${PN}/archive/${PV}.tar.gz
+ -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ia64 ~ppc ~sparc ~x86"
+
+DEPEND=">=dev-lang/erlang-17.1
+ >=dev-erlang/fast_tls-1.1.2
+ >=dev-erlang/stun-1.0.29
+ >=dev-erlang/p1_utils-1.0.16"
+RDEPEND="${DEPEND}"
+
+DOCS=( CHANGELOG.md README.md )
+
+src_prepare() {
+ rebar_src_prepare
+ rebar_fix_include_path stun
+
+ # ebin contains lonely .gitignore file asking for removal.
+ rm -r "${S}/ebin" || die
+}